Skip to main content
`Ctrl`+`K`

# TSGLLESetAcceptType

sets the acceptance test for `TSGLLE`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLESetAcceptType(TS ts, TSGLLEAcceptType type)

Logically Collective

## Input Parameters

- ts - the `TS` context

- type - the type

## Options Database Key

- -ts_gl_accept_type <type> - sets the method used to determine whether to accept or reject a step

## Notes

Time integrators that need to control error must have the option to reject a time step based on local error estimates. This function allows different schemes to be set.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGLLE`, `TSGLLEAcceptRegister()`, `TSGLLEAdapt`

## Level

intermediate

## Location

src/ts/impls/implicit/glle/glle.c

## Implementations

TSGLLESetAcceptType_GLLE() in src/ts/impls/implicit/glle/glle.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages